This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 70867 - xloadimage crashes with some TIFF images
xloadimage crashes with some TIFF images
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: xloadimage (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 05:44 EDT by Vlado Potisk
Modified: 2014-03-16 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.1-33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 16:03:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
color TIFF image 151x100 (59.35 KB, image/tiff)
2002-08-06 05:48 EDT, Vlado Potisk
no flags Details

  None (edit)
Description Vlado Potisk 2002-08-06 05:44:55 EDT
Description of problem:
I have few TIFF images that cannot be displayed with xloadimage
because it crashes.

Version-Release number of selected component (if applicable):
xloadimage-4.1-21 (RH 7.3) and also xloadimage-4.1-24 (Rawhide)

How reproducible:
Always

Steps to Reproduce:
1.xloadimage p6270005S.tif

Actual Results:
An internal error (SEGV) has occurred.  If you would like to file a bug
report, please send email to jimf@centerline.com
with a description of how you triggered the bug, the output of xloadimage
before the failure, and the following information:

Xloadimage Version 4.1

Built by:     Red Hat
Built on:     Jun 23 2002
Build system: redhat.com
Server: The XFree86 Project, Inc Version 40200000
Depths and visuals supported:
24: TrueColor TrueColor DirectColor DirectColor
 1:
 4:
 8:
15:
16:
32:

Expected Results:
A window displaying my picture.

Additional info:
1. The image has been processed by "GIMP".
2. Following command
     xloadimage -ident  p6270005S.tif
   shows this obviously incorrect data
      p6270005S.tif is a 1752459118x2623 8192-bit greyscale TIFF imageTitled     
        "p6270005S.tif"
      p6270005S.tif is a 892350512x1769221715 black-on-white TIFF image
3.  kview displays the picture correctly and shows correct information
Comment 1 Vlado Potisk 2002-08-06 05:48:33 EDT
Created attachment 69045 [details]
color TIFF image 151x100
Comment 2 Vlado Potisk 2003-05-31 01:33:31 EDT
xview/xloadimage from RH9 also has this bug.
Comment 3 Bill Nottingham 2005-01-21 16:03:35 EST
Fixed in 4.1-33.
Comment 4 Josh Bressers 2005-04-19 14:36:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-332.html

Note You need to log in before you can comment on or make changes to this bug.